<section class="container">
<?php

    foreach ($AlbumsOfArtists as $AlbumsOfArtist) {
        echo "<div class='album'><article>";
        echo "<header class='album-title'>";
        echo anchor("albums/view/{$AlbumsOfArtist->id}", "{$AlbumsOfArtist->name}");
        echo "<br>";
        echo "</header>";
        echo '<img src="data:image/jpeg;base64,' . base64_encode($AlbumsOfArtist->jpeg) . '" alt="' . $AlbumsOfArtist->name . '" />';
        echo "<footer class='short-text'>$AlbumsOfArtist->year</footer>";

        // Ajout du formulaire pour ajouter toutes les chansons de l'album à une playlist
            if ($this->session->userdata('logged')):
            echo "<form action='" . base_url('index.php/albums/addAllSongsToPlaylist') . "' method='post'>";
            echo "<input type='hidden' name='album_id' value='{$AlbumsOfArtist->id}'>";
            echo "<select name='playlist'>";
            foreach($playlists as $playlist){
                echo "<option value='{$playlist->id}'>{$playlist->name}</option>";
            }
            echo "</select>";
            echo "<button type='submit'>Ajouter toutes les chansons</button>";
            echo "</form>";
        endif;
        echo "</article></div>";
    
}
?>
</section>


